% Calculates the moment arm distance between the vehicle CG 
% and the total acceleration vector (At) through the slosh mass
d2r=pi/180; r2d=180/pi;
g=32.2;
Xs=-125.34; Zs=-33.34; % Xs=-64.67; Zs=-33.34; 
Xcg=-95.194; Zcg= -38.847;
Ax=28.87; Az=8.484;
At=sqrt(Ax^2+Az^2);
chi= asin(Az/At); chid=chi*r2d;
l=sqrt((Xs-Xcg)^2+(Zs-Zcg)^2);
u1=[Ax,Az]'/At;
u2=[(Xs-Xcg),(Zs-Zcg)]'/l;
gam=acos(u1'*u2); 
gamd=gam*r2d
ds=l*sin(gam)
